package LATMOS::Accounts::Web::Controller::Tools::LoadNew;
use Moose;
use namespace::autoclean;

use LATMOS::Accounts::Utils;
use File::Temp;

BEGIN { extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Tools::LoadNew - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

    if (my $upload = $c->req->upload('input')) {
        my %attrs = LATMOS::Accounts::Utils::parse_obj_file($upload->fh);
        my $otype = $c->req->param('otype');
        $c->session->{ochelper} = {
            contents => \%attrs,
        };
        $c->req->params->{step} = '1';
        $c->go('/create/default', [ undef, $otype ]);
    } elsif (my $content = $c->req->param('content')) {
        my $tmp = File::Temp->new();
        print $tmp $content;
        $tmp->seek( 0, 0 );

        my %attrs = LATMOS::Accounts::Utils::parse_obj_file($tmp);
        $tmp = undef;
        my $otype = $c->req->param('otype');
        $c->session->{ochelper} = {
            contents => \%attrs,
        };
        $c->req->params->{step} = '1';
        $c->go('/create/default', [ undef, $otype ]);
    }
}



=encoding utf8

=head1 AUTHOR

Olivier Thauvin,Guyancourt - B1428,+33 1 80285052,

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
